void fitWithMC(){

  TFile *hFileReal = new TFile("./allSp18.root");   //REAL FILE
  TFile *hFileMC = new TFile("./mcB4M23AllE.root"); //MC FILE
  
  TH1D *hMassReal; hFileReal->GetObject("hCasStarMass_80",hMassReal);//REAL HISTOGRAM
  TH1D *hMassMC; hFileMC->GetObject("hCasStarMass_80",hMassMC);//MC HISTOGRAM

  TF1 *f1 = new TF1("f1","gaus");//Fit function of type gauss                   
  TF1 *f2 = new TF1("f2","gaus(0)+pol2(3)");//Fit function of type gauss 

  //First fit is to MC
  hMassMC->Fit("f1");

  //Get the MC fit parameters
  double mcCenter = f1->GetParameter(1);
  double mcSigma = f1->GetParameter(2);

  double fracDiff = 0.2;//20% allowance

  //Set limits on real data fit
  f2->SetParameter(1,mcCenter);
  f2->SetParameter(2,mcSigma);
  f2->SetParLimits(1,mcCenter*(1 - fracDiff),mcCenter*(1 + fracDiff));
  f2->SetParLimits(2,mcSigma*(1 - fracDiff),mcSigma*(1 + fracDiff));

  double fitLow = 1.45;
  double fitHigh = 1.75;
  hMassReal->Rebin(2);
  hMassReal->Fit("f2","RB","",fitLow,fitHigh);
  hMassReal->GetXaxis()->SetRangeUser(fitLow,fitHigh);
  hMassReal->Draw("e");

}
